<template>
  <div class="nav-item">
    <a
      :class="{ active: isActive }"
      class="nav-link pt-1 pb-1 pl-0 pr-0"
      style="cursor: pointer"
      @click="inputClick(parameter.key)"
    >
      <span>{{ parameter.title }}</span>
    </a>
  </div>
</template>

<script>
export default {
  props: {
    parameter: {
      type: Object,
      default: () => {},
    },
    inputSet: {
      type: String,
      default: '',
    },
  },
  computed: {
    isActive() {
      return (
        this.parameter.key ===
        this.$nuxt.context.store.getters['parameters/activeSet'].paramKey
      );
    },
  },
  methods: {
    inputClick(refName) {
      if (refName) {
        const element = document.getElementById(refName);
        const header = document.getElementById('sticky-top');
        const count =
          element.getBoundingClientRect().top +
          window.scrollY -
          header.clientHeight;
        window.scroll({ top: count, behavior: 'smooth' });
      }
      this.$nuxt.context.store.dispatch('parameters/setActiveSet', {
        newActiveSet: {
          set: this.inputSet,
          param: this.parameter.key,
        },
      });
    },
  },
};
</script>
